<?php
declare(strict_types=1);

use PHPUnit\Framework\TestCase;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class CoolPluginTest extends TestCase {

	public static $cool_plugin;

	/**
	 * @before Class
	 */
	public function init() {
		self::$cool_plugin = new CoolPlugin();
	}

	public function test_add() {
		$actual_1 = self::$cool_plugin->add(1, 1);
		self::assertSame( 2, $actual_1 );

		$actual_2 = self::$cool_plugin->add(5, 2);
		self::assertSame( 7, $actual_2 );

		$actual_3 = self::$cool_plugin->add(17, 10);
		self::assertSame( 27, $actual_3 );
	}

	public function test_divide() {
		$actual_1 = self::$cool_plugin->divide(1, 1);
		self::assertSame( 1, $actual_1 );

		$actual_2 = self::$cool_plugin->divide(10, 2);
		self::assertSame( 5, $actual_2 );

		// this produces a "DivisionByZeroError: Division by zero" error.
		$actual_3 = self::$cool_plugin->divide(5, 0);
		self::assertSame( 27, $actual_3 );
	}

}
